Subject: [Emu] EAP-EKE implementations

From: Yaron Sheffer <[email-masked]>
Date: Tue, 23 Jun 2009 10:53:35 +0300

Hi,

A few days ago I was at Tel Aviv University to see a demonstration of
EAP-EKE, implemented between a WPA client (wpa_supplicant), a generic access
point and a FreeRADIUS server. All working very smoothly. The students
managed to write the whole thing based on the draft
(http://tools.ietf.org/html/draft-sheffer-emu-eap-eke), with very little
interaction with the authors.

There is a second team who is implementing EAP-EKE independently, on top of
StrongSwan (IKEv2). When they are done, we will be testing interoperability
between the two implementations.

The seminar’s page is here: http://www.cs.tau.ac.il/~canetti/sp09-sadna.html

Thanks,
            Yaron